function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class CollectionRecord {
    setData(data) {
        this.data = data;
    }
    setParentRecord(parentRecord) {
        this.parentRecord = parentRecord;
    }
    constructor(options){
        _define_property(this, "data", void 0);
        _define_property(this, "parentRecord", void 0);
        _define_property(this, "isNew", void 0);
        const { data, parentRecord, isNew } = options;
        this.isNew = isNew;
        this.data = data;
        this.parentRecord = parentRecord;
    }
}
export { CollectionRecord };
